Aria: ArRetFunctor4< Ret, P1, P2, P3, P4 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArRetFunctor4< Ret, P1, P2, P3, P4 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArRetFunctor4< Ret, P1, P2, P3, P4 >:

List of all members.

## Detailed Description

### template<class Ret, class P1, class P2, class P3, class P4>
class ArRetFunctor4< Ret, P1, P2, P3, P4 >

Base class for functors with a return value with 4 parameters.

This is the base class for functors with a return value and take 4 parameters. Code that has a reference to a functor that returns a value and takes 4 parameters should use this class name. This allows the code to know how to invoke the functor without knowing which class the member function is in.

For an overall description of functors, see ArFunctor.

## Public Member Functions
virtual Ret | invokeR (P1 p1, P2 p2, P3 p3, P4 p4)=0
| Invokes the functor with return value.
virtual Ret | invokeR (P1 p1, P2 p2, P3 p3)=0
| Invokes the functor with return value.
virtual Ret | invokeR (P1 p1, P2 p2)=0
| Invokes the functor with return value.
virtual Ret | invokeR (P1 p1)=0
| Invokes the functor with return value.
virtual Ret | invokeR (void)=0
| Invokes the functor with return value.
virtual | ~ArRetFunctor4 ()
| Destructor.

## Member Function Documentation

template<class Ret, class P1, class P2, class P3, class P4>

virtual Ret ArRetFunctor4< Ret, P1, P2, P3, P4 >::invokeR | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4 |
| ) |  |  | `[pure virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter
  | p2 | second parameter
  | p3 | third parameter
  | p4 | fourth parameter

Implemented in ArGlobalRetFunctor4< Ret, P1, P2, P3, P4 >, ArRetFunctor4C< Ret, T, P1, P2, P3, P4 >, and ArConstRetFunctor4C< Ret, T, P1, P2, P3, P4 >.

template<class Ret, class P1, class P2, class P3, class P4>

virtual Ret ArRetFunctor4< Ret, P1, P2, P3, P4 >::invokeR | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 |
| ) |  |  | `[pure virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter
  | p2 | second parameter
  | p3 | third parameter

Implements ArRetFunctor3< Ret, P1, P2, P3 >.

Implemented in ArGlobalRetFunctor4< Ret, P1, P2, P3, P4 >, ArRetFunctor4C< Ret, T, P1, P2, P3, P4 >, and ArConstRetFunctor4C< Ret, T, P1, P2, P3, P4 >.

template<class Ret, class P1, class P2, class P3, class P4>

virtual Ret ArRetFunctor4< Ret, P1, P2, P3, P4 >::invokeR | ( | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[pure virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter
  | p2 | second parameter

Implements ArRetFunctor3< Ret, P1, P2, P3 >.

Implemented in ArGlobalRetFunctor4< Ret, P1, P2, P3, P4 >, ArRetFunctor4C< Ret, T, P1, P2, P3, P4 >, and ArConstRetFunctor4C< Ret, T, P1, P2, P3, P4 >.

template<class Ret, class P1, class P2, class P3, class P4>

virtual Ret ArRetFunctor4< Ret, P1, P2, P3, P4 >::invokeR | ( | P1 | p1 | ) | `[pure virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter

Implements ArRetFunctor3< Ret, P1, P2, P3 >.

Implemented in ArGlobalRetFunctor4< Ret, P1, P2, P3, P4 >, ArRetFunctor4C< Ret, T, P1, P2, P3, P4 >, and ArConstRetFunctor4C< Ret, T, P1, P2, P3, P4 >.

The documentation for this class was generated from the following file:

- ArFunctor.h